module LwqzxAuth
  class ApplicationController < ::ApplicationController
    protect_from_forgery with: :exception
    before_action :check_me
    def check_me
      auth_token = cookies.signed[:auth_token]
      unless auth_token.blank?
        one = Remember.where(token: auth_token).first
        if one
          if one.expired > Time.now.to_i
            session[:login] = one.login
            session[:realname] = one.name
            session[:groups] = one.groups
          else 
            cookies.delete(:auth_token)
            one.delete
          end
        end
      end
    end
  end
end
