require_dependency "lwqzx_auth/application_controller"
require "rest-client"

module LwqzxAuth
  class AuthController < ApplicationController
    def login
    end

    def logout
      flash[:notice]="你已经登出"

      auth_token = cookies[:auth_token]
      unless auth_token.blank?
        one = Remember.where(token: auth_token).first
        cookies.delete(:auth_token)
        one.delete if one
      end
      reset_session
      redirect_to  main_app.root_path
    end

    def auth
      #unless verify_rucaptcha?
      #  flash[:alert] = "验证码出错"
      #  redirect_to main_app.root_path and return
      #end

      login = params[:login]
      psd = params[:password]
      
      hsh = lauth(login,psd)
      if hsh["name"].blank?
        redirect_to login_path , alert: "用户信息有误"
      else
        login = hsh["login"]
        name = hsh["name"]
        groups = hsh["user_group"]
        
        #rememberme = params[:rememberme]
        #if rememberme == "yes"
        #  token = SecureRandom.urlsafe_base64
        #  cookies.signed[:auth_token] = token
        #  Remember.create(token: token, login: login, name: name, groups: groups,expired: 7.days.from_now.to_i)
        #else 
        #  auth_token = cookies[:auth_token]
        #  cookies.delete(:auth_token)
        #  Remember.where(token: auth_token).delete
        #end

        session[:login] = login
        session[:realname] = name
        session[:groups] = groups
        redirect_to main_app.root_path and return
      end
    end

    private

    def lauth(login,passwd)
      lurl = "http://www.lwqzx.sdedu.net/kernel/net_school/core/jslogin.php"
      res = ::RestClient.post lurl,{login: login, password: passwd}
      return JSON.parse(res.body)
    end 

  end
end
